Python pip install ends with "command errored out with exit status 1:…"

  pip, python

I’m new to python, and I’m trying to run some basic codes that require some libraries.
And when I’m trying to install a library (e.g. pip install matplotlib-venn) I get this long error:

    ERROR: Command errored out with exit status 1:
     command: 'c:usersscurtappdatalocalprogramspythonpython39python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:UsersscurtAppDataLocalTemppip-install-msmwhfl3matplotlibsetup.py'"'"'; __file__='"'"'C:UsersscurtAppDataLocalTemppip-install-msmwhfl3matplotlibsetup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'rn'"'"', '"'"'n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 
'C:UsersscurtAppDataLocalTemppip-pip-egg-info-g0f_wde0'
         cwd: C:UsersscurtAppDataLocalTemppip-install-msmwhfl3matplotlib
    Complete output (249 lines):
    WARNING: The wheel package is not available.
        ERROR: Command errored out with exit status 1:
         command: 'c:usersscurtappdatalocalprogramspythonpython39python.exe' 'c:usersscurtappdatalocalprogramspythonpython39libsite-packagespip_vendorpep517_in_process.py' prepare_metadata_for_build_wheel 'C:UsersscurtAppDataLocalTemptmpd9x4v47l'
             cwd: C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpy
        Complete output (200 lines):
        Running from numpy source directory.
        setup.py:470: UserWarning: Unrecognized setuptools command, proceeding with generating Cython 
sources and expanding templates
          run_build = parse_setuppy_commands()
        Processing numpy/random_bounded_integers.pxd.in
        Processing numpy/randombit_generator.pyx
        Processing numpy/randommtrand.pyx
        Processing numpy/random_bounded_integers.pyx.in
        Processing numpy/random_common.pyx
        Processing numpy/random_generator.pyx
        Processing numpy/random_mt19937.pyx
        Processing numpy/random_pcg64.pyx
        Processing numpy/random_philox.pyx
        Processing numpy/random_sfc64.pyx
        Cythonizing sources
        blas_opt_info:
        blas_mkl_info:
        No module named 'numpy.distutils._msvccompiler' in numpy.distutils; trying from distutils     
        customize MSVCCompiler
          libraries mkl_rt not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        blis_info:
          libraries blis not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        openblas_info:
          libraries openblas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
        get_default_fcompiler: matching types: '['gnu', 'intelv', 'absoft', 'compaqv', 'intelev', 'gnu95', 'g95', 'intelvem', 'intelem', 'flang']'
        customize GnuFCompiler
        Could not locate executable g77
        Could not locate executable f77
        customize IntelVisualFCompiler
        Could not locate executable ifort
        Could not locate executable ifl
        customize AbsoftFCompiler
        Could not locate executable f90
        customize CompaqVisualFCompiler
        Could not locate executable DF
        customize IntelItaniumVisualFCompiler
        Could not locate executable efl
        customize Gnu95FCompiler
        Could not locate executable gfortran
        Could not locate executable f95
        customize G95FCompiler
        Could not locate executable g95
        customize IntelEM64VisualFCompiler
        customize IntelEM64TFCompiler
        Could not locate executable efort
        Could not locate executable efc
        customize PGroupFlangCompiler
        Could not locate executable flang
        don't know how to compile Fortran code on platform 'nt'
          NOT AVAILABLE

        atlas_3_10_blas_threads_info:
        Setting PTATLAS=ATLAS
          libraries tatlas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        atlas_3_10_blas_info:
          libraries satlas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        atlas_blas_threads_info:
        Setting PTATLAS=ATLAS
          libraries ptf77blas,ptcblas,atlas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']          NOT AVAILABLE

        atlas_blas_info:
          libraries f77blas,cblas,atlas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']    
          NOT AVAILABLE

        accelerate_info:
          NOT AVAILABLE

        C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpynumpydistutilssystem_info.py:1914: UserWarning:
            Optimized (vendor) Blas libraries are not found.
            Falls back to netlib Blas library which has worse performance.
            A better performance should be easily gained by switching
            Blas library.
          if self._calc_info(blas):
        blas_info:
          libraries blas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpynumpydistutilssystem_info.py:1914: UserWarning:
            Blas (http://www.netlib.org/blas/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [blas]) or by setting
            the BLAS environment variable.
          if self._calc_info(blas):
        blas_src_info:
          NOT AVAILABLE

        C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpynumpydistutilssystem_info.py:1914: UserWarning:
            Blas (http://www.netlib.org/blas/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [blas_src]) or by setting
            the BLAS_SRC environment variable.
          if self._calc_info(blas):
          NOT AVAILABLE

        non-existing path in 'numpydistutils': 'site.cfg'
        lapack_opt_info:
        lapack_mkl_info:
          libraries mkl_rt not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        openblas_lapack_info:
          libraries openblas not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        openblas_clapack_info:
          libraries openblas,lapack not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']        
          NOT AVAILABLE

        flame_info:
          libraries flame not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        atlas_3_10_threads_info:
        Setting PTATLAS=ATLAS
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries tatlas,tatlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries lapack_atlas not found in C:
          libraries tatlas,tatlas not found in C:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
          libraries tatlas,tatlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
        <class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
          NOT AVAILABLE

        atlas_3_10_info:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries satlas,satlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries lapack_atlas not found in C:
          libraries satlas,satlas not found in C:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
          libraries satlas,satlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
        <class 'numpy.distutils.system_info.atlas_3_10_info'>
          NOT AVAILABLE

        atlas_threads_info:
        Setting PTATLAS=ATLAS
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries ptf77blas,ptcblas,atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries lapack_atlas not found in C:
          libraries ptf77blas,ptcblas,atlas not found in C:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
          libraries ptf77blas,ptcblas,atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
        <class 'numpy.distutils.system_info.atlas_threads_info'>
          NOT AVAILABLE

        atlas_info:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries f77blas,cblas,atlas not found in c:usersscurtappdatalocalprogramspythonpython39lib
          libraries lapack_atlas not found in C:
          libraries f77blas,cblas,atlas not found in C:
          libraries lapack_atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
          libraries f77blas,cblas,atlas not found in c:usersscurtappdatalocalprogramspythonpython39libs
        <class 'numpy.distutils.system_info.atlas_info'>
          NOT AVAILABLE

        lapack_info:
          libraries lapack not found in ['c:usersscurtappdatalocalprogramspythonpython39lib', 'C:', 'c:usersscurtappdatalocalprogramspythonpython39libs']
          NOT AVAILABLE

        C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpynumpydistutilssystem_info.py:1748: UserWarning:
            Lapack (http://www.netlib.org/lapack/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [lapack]) or by setting
            the LAPACK environment variable.
          return getattr(self, '_calc_info_{}'.format(name))()
        lapack_src_info:
          NOT AVAILABLE

        C:UsersscurtAppDataLocalTemppip-wheel-24k214oanumpynumpydistutilssystem_info.py:1748: UserWarning:
            Lapack (http://www.netlib.org/lapack/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [lapack_src]) or by setting
            the LAPACK_SRC environment variable.
          return getattr(self, '_calc_info_{}'.format(name))()
          NOT AVAILABLE

        numpy_linalg_lapack_lite:
          FOUND:
            language = c
            define_macros = [('HAVE_BLAS_ILP64', None), ('BLAS_SYMBOL_SUFFIX', '64_')]

        c:usersscurtappdatalocalprogramspythonpython39libdistutilsdist.py:274: UserWarning: 
Unknown distribution option: 'define_macros'
          warnings.warn(msg)
        running dist_info
        running build_src
        build_src
        building py_modules sources
        creating build
        creating buildsrc.win-amd64-3.9
        creating buildsrc.win-amd64-3.9numpy
        creating buildsrc.win-amd64-3.9numpydistutils
        building library "npymath" sources
        error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
        ----------------------------------------
    ERROR: Command errored out with exit status 1: 'c:usersscurtappdatalocalprogramspythonpython39python.exe' 'c:usersscurtappdatalocalprogramspythonpython39libsite-packagespip_vendorpep517_in_process.py' prepare_metadata_for_build_wheel 'C:UsersscurtAppDataLocalTemptmpd9x4v47l' Check the logs for full command output.
    Traceback (most recent call last):
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptoolsinstaller.py", line 126, in fetch_build_egg
        subprocess.check_call(cmd)
      File "c:usersscurtappdatalocalprogramspythonpython39libsubprocess.py", line 373, in check_call
        raise CalledProcessError(retcode, cmd)
    subprocess.CalledProcessError: Command '['c:usersscurtappdatalocalprogramspythonpython39python.exe', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', 'C:UsersscurtAppDataLocalTemptmpnf74y62m', '--quiet', 'numpy>=1.15']' returned non-zero exit status 1.

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:UsersscurtAppDataLocalTemppip-install-msmwhfl3matplotlibsetup.py", line 242, in 
<module>
        setup(  # Finally, pass this all along to distutils to do the heavy lifting.
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptools__init__.py", line 152, in setup
        _install_setup_requires(attrs)
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptools__init__.py", line 147, in _install_setup_requires
        dist.fetch_build_eggs(dist.setup_requires)
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptoolsdist.py", line 673, in fetch_build_eggs
        resolved_dists = pkg_resources.working_set.resolve(
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagespkg_resources__init__.py", line 764, in resolve
        dist = best[req.key] = env.best_match(
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagespkg_resources__init__.py", line 1049, in best_match
        return self.obtain(req, installer)
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagespkg_resources__init__.py", line 1061, in obtain
        return installer(requirement)
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptoolsdist.py", line 732, in fetch_build_egg
        return fetch_build_egg(self, req)
      File "c:usersscurtappdatalocalprogramspythonpython39libsite-packagessetuptoolsinstaller.py", line 128, in fetch_build_egg
        raise DistutilsError(str(e)) from e
    distutils.errors.DistutilsError: Command '['c:usersscurtappdatalocalprogramspythonpython39python.exe', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', 'C:UsersscurtAppDataLocalTemptmpnf74y62m', '--quiet', 'numpy>=1.15']' returned non-zero exit status 1.

    Edit setup.cfg to change the build options; suppress output with --quiet.

    BUILDING MATPLOTLIB
      matplotlib: yes [3.3.2]
          python: yes [3.9.0 (tags/v3.9.0:9cf6752, Oct  5 2020, 15:34:40) [MSC
                      v.1927 64 bit (AMD64)]]
        platform: yes [win32]
     sample_data: yes [installing]
           tests: no  [skipping due to configuration]
          macosx: no  [Mac OS-X only]

    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

I tried to reinstall python multiple times (I’m using the latest version 3.9).
I updated the path variables as I’ve seen in other posts.
I tried to run the same command but with pip3, same thing.

Source: Python Questions

LEAVE A COMMENT